PowerDatacenterBroker (cloudsim 3.1-SNAPSHOT API)

org.cloudbus.cloudsim.power

## Class PowerDatacenterBroker

- java.lang.Object
- - org.cloudbus.cloudsim.core.SimEntity
  - - org.cloudbus.cloudsim.DatacenterBroker
    - - org.cloudbus.cloudsim.power.PowerDatacenterBroker

- All Implemented Interfaces:
    Cloneable

      public class PowerDatacenterBroker
      extends DatacenterBroker

  A broker for the power package. If you are using any algorithms, policies or workload included in the power package please cite the following paper: Anton Beloglazov, and Rajkumar Buyya, "Optimal Online Deterministic Algorithms and Adaptive Heuristics for Energy and Performance Efficient Dynamic Consolidation of Virtual Machines in Cloud Data Centers", Concurrency and Computation: Practice and Experience, ISSN: 1532-0626, Wiley Press, New York, USA, 2011, DOI: 10.1002/cpe.1867
  Since:
    CloudSim Toolkit 2.0
  Author:
    Anton Beloglazov

- - ### Field Summary

    - ### Fields inherited from class org.cloudbus.cloudsim.DatacenterBroker

      `cloudletList, cloudletReceivedList, cloudletsSubmitted, cloudletSubmittedList, datacenterCharacteristicsList, datacenterIdsList, datacenterRequestedIdsList, Postevt, vmList, vmsAcks, vmsCreatedList, vmsDestroyed, vmsRequested, vmsToDatacentersMap`

    - ### Fields inherited from class org.cloudbus.cloudsim.core.SimEntity

      `FINISHED, HOLDING, RUNNABLE, WAITING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PowerDatacenterBroker(String name)` Instantiates a new power datacenter broker.
    `PowerDatacenterBroker(String name, EventPostBroker evt_)` Instanciate a new datacenter broker that have a POST ACTION (post event) Dynamically launch at the end of this broker;

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `processVmCreate(SimEvent ev)` Process the ack received due to a request for VM creation.

    - ### Methods inherited from class org.cloudbus.cloudsim.DatacenterBroker

      `bindCloudletToVm, clearDatacenters, createVmsInDatacenter, finishExecution, getCloudletList, getCloudletReceivedList, getCloudletSubmittedList, getDatacenterCharacteristicsList, getDatacenterIdsList, getDatacenterRequestedIdsList, getPostevt, getVmList, getVmsAcks, getVmsCreatedList, getVmsDestroyed, getVmsRequested, getVmsToDatacentersMap, incrementVmsAcks, processCloudletReturn, processEvent, processOtherEvent, processPostEvent, processResourceCharacteristics, processResourceCharacteristicsRequest, setCloudletList, setCloudletReceivedList, setCloudletSubmittedList, setDatacenterCharacteristicsList, setDatacenterIdsList, setDatacenterRequestedIdsList, setPostevt, setVmList, setVmsAcks, setVmsCreatedList, setVmsDestroyed, setVmsRequested, setVmsToDatacentersMap, shutdownEntity, startEntity, submitCloudletList, submitCloudlets, submitVmList`

    - ### Methods inherited from class org.cloudbus.cloudsim.core.SimEntity

      `cancelEvent, clone, getEventBuffer, getId, getName, getNextEvent, getNextEvent, getState, numEventsWaiting, numEventsWaiting, pause, run, schedule, schedule, schedule, schedule, scheduleFirst, scheduleFirst, scheduleFirst, scheduleFirst, scheduleFirstNow, scheduleFirstNow, scheduleFirstNow, scheduleFirstNow, scheduleNow, scheduleNow, scheduleNow, scheduleNow, selectEvent, send, send, send, send, sendNow, sendNow, sendNow, sendNow, setEventBuffer, setId, setState, waitForEvent`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PowerDatacenterBroker

          public PowerDatacenterBroker(String name)
                                throws Exception

      Instantiates a new power datacenter broker.
      Parameters:
        `name` - the name
      Throws:
        `Exception` - the exception

    - #### PowerDatacenterBroker

          public PowerDatacenterBroker(String name,
                               EventPostBroker evt_)
                                throws Exception

      Instanciate a new datacenter broker that have a POST ACTION (post event) Dynamically launch at the end of this broker;
      Parameters:
        `name` -
        `evt_` -
      Throws:
        `Exception`

  - ### Method Detail

    - #### processVmCreate

          protected void processVmCreate(SimEvent ev)

      Description copied from class: `DatacenterBroker`
      Process the ack received due to a request for VM creation.
      Overrides:
        `processVmCreate` in class `DatacenterBroker`
      Parameters:
        `ev` - a SimEvent object

Copyright © 2013 The Cloud Computing and Distributed Systems (CLOUDS) Laboratory, The University of Melbourne. All Rights Reserved.